// Java Program to demonstrate the use of different methods of java.util.Dictionary class.
  
import java.util.*; 

public class DictionaryDemo 
{ 
    public static void main(String[] args) 
    {   
        // Creating a Dictionary Object 
        Dictionary<String,String>  myDictionary = new Hashtable<String, String>(); 
  
        // using the put() method 
        myDictionary.put("1", "Hello"); 
        myDictionary.put("2", "World"); 
  
        // using the elements() method
        for (Enumeration<String> en = myDictionary.elements(); en.hasMoreElements();) 
        { 
            System.out.println("Value in Dictionary : " + en.nextElement()); 
        } 
  
        // using the get() method
        System.out.println("\nValue at key = 3 : " + myDictionary.get("3")); 
        System.out.println("Value at key = 2 : " + myDictionary.get("2")); 
  
        // using the isEmpty() method : 
        System.out.println("\nThere is no key-value pair : " + myDictionary.isEmpty() + "\n"); 
  
        // using the keys() method : 
        for(Enumeration<String> k = myDictionary.keys(); k.hasMoreElements();) 
        { 
            System.out.println("Keys in Dictionary : " + k.nextElement()); 
        } 
  
        // using the remove() method : 
        System.out.println("\nRemove : " + myDictionary.remove("2")); 
        System.out.println("Check the value of removed key : " + myDictionary.get("2")); 
  
        System.out.println("\nSize of Dictionary : " + myDictionary.size()); 
  
    } 
}
